Show / Hide Table of Contents

# Struct AtkStage

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkStage

### Fields

| Improve this Doc View Source

#### AtkCursor

##### Declaration

    public AtkCursor AtkCursor

##### Field Value

Type | Description
--- | ---
AtkCursor |

| Improve this Doc View Source

#### AtkEventTarget

##### Declaration

    public AtkEventTarget AtkEventTarget

##### Field Value

Type | Description
--- | ---
AtkEventTarget |

| Improve this Doc View Source

#### RaptureAtkUnitManager

##### Declaration

    public RaptureAtkUnitManager*RaptureAtkUnitManager

##### Field Value

Type | Description
--- | ---
RaptureAtkUnitManager* |

| Improve this Doc View Source

#### TooltipManager

##### Declaration

    public AtkTooltipManager TooltipManager

##### Field Value

Type | Description
--- | ---
AtkTooltipManager |

### Methods

| Improve this Doc View Source

#### ClearFocus()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B C3 C1 E8 05")]
    public void ClearFocus()

| Improve this Doc View Source

#### GetFocus()

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 48 3B F0 0F 85")]
    public AtkResNode*GetFocus()

##### Returns

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### GetSingleton()

##### Declaration

    [MemberFunction("E8 ? ? ? ? 0F BF D5", IsStatic = true)]
    public static AtkStage*GetSingleton()

##### Returns

Type | Description
--- | ---
AtkStage* |